coupang
POST/v2/providers/openapi/apis/api/v5/vendors/{vendorId}/outboundShippingCenters2609170000

发货地创建

# 01

简介

发货地创建

# 02

详细内容

API支持的买家用户地区:韩国、台湾
创建发货地址。您可通过该API创建多个发货地,所创建的发货地将被指定为注册商品时使用的的发货地。
创建相同地址的发货地会受限。
创建/修改发货地时,请将usable参数值设置为true (use)。

路径

POST/v2/providers/openapi/apis/api/v5/vendors/{vendorId}/outboundShippingCenters

示例端点

https://api-gateway.coupang.com/v2/providers/openapi/apis/api/v5/vendors/A00012345/outboundShippingCenters

URL API Name

REGISTER_OUTBOUND_SHIPPING_CENTER
# 03

Path 参数

NameTypeDescription
vendorId*string
卖家ID

酷澎提供给卖家的固有代码

例) A00012345
# 04

请求体参数

请求参数

请求体参数

NameTypeDescription
vendorId*string
卖家ID

酷澎提供给卖家的固有代码

例) A00012345
userId*string
用户ID (酷澎Wing登录账户)
shippingPlaceName*string
发货地名称,最多50个字符

不可重复注册相同名称的发货地
0usableboolean
是否可用
true 可用
false 不可用
默认值: true
globalstring
默认值: false

国内或海外
CODE Mean
false 国外
true 海外
placeAddresses*object[]
发货地址
addressType
placeAddresses[].addressType
string
地址类型

JIBUN, ROADNAME, OVERSEA
CODE Mean
JIBUN 地区编号
ROADNAME 道路名
OVERSEA 海外
注册道路名时,请务必一并注册地区编号
countryCode
placeAddresses[].countryCode
string
国家代码,韩国国内为“KR”, 有效长度: 2
companyContactNumber
placeAddresses[].companyContactNumber
string
话号码,例:xx-yyy-zzzz
Type Min~Max
x 2~4 位
y 3~4 位
z 4 位
phoneNumber2
placeAddresses[].phoneNumber2
string
备用电话号码(格式:与电话号码相同)
returnZipCode
placeAddresses[].returnZipCode
string
邮政编码: 数字,最短5位数,最长6位数
returnAddress
placeAddresses[].returnAddress
string
地址,最长150个字符
returnAddressDetail
placeAddresses[].returnAddressDetail
string
详细住址,最长200个字符
remoteInfosobject[]
偏远地区额外信息
deliveryCode
remoteInfos[].deliveryCode
string
物流代码

查看物流代码

可注册多个物流公司,但不可重复注册
jeju
remoteInfos[].jeju
string
济州岛运费(韩元)
您可以输入0韩元或1,000-8,000韩元之间(以100韩元为单位); 不包括货到付款。

例外:EPOST快递可填0或100 - 400KRW 之间(以KRW 100为单位);

不包括货到付款。
notJeju
remoteInfos[].notJeju
string
济州地区外的配送费(韩元)

与济州地区相同
请求示例application/json
{
  "vendorId": "A00011620",
  "userId": "testId",
  "shippingPlaceName": "상품출고지 생성",
  "global": "false",
  "usable": "true",
  "placeAddresses": [
    {
      "addressType": "JIBUN",
      "countryCode": "KR",
      "companyContactNumber": "02-1234-5678",
      "phoneNumber2": "010-1234-5678",
      "returnZipCode": "10516",
      "returnAddress": "경기도 파주시 탄현면 월롱산로",
      "returnAddressDetail": "294-58"
    }
  ],
  "remoteInfos": [
    {
      "deliveryCode": "KGB",
      "jeju": "5000",
      "notJeju": "2500"
    },
    {
      "deliveryCode": "CJGLS",
      "jeju": "5000",
      "notJeju": "2500"
    }
  ]
}
# 05

响应体

响应消息

NameTypeDescription
codestring
服务器响应码
messagestring
服务器响应消息
dataobject
发货地创建结果
resultCode
data.resultCode
string
结果代码

SUCCESS or FAIL
resultMessage
data.resultMessage
string
结果信息(发货地代码)

显示为outbound shipping place code

可通过该代码查看发货地列表

Response Example

{
  "code": "200",
  "message": "SUCCESS",
  "data": {
    "resultCode": "SUCCESS",
    "resultMessage": "115"
  }
}
# 06

错误码

HTTP代码消息
400HTTP_400Bad Request

错误说明

HTTP类型错误消息解决方案
400400 (确认请求参数)

You can enter KRW 0 or between KRW 100 - 400

如果是 EPOST 快递,请确保输入0 KRW 或100 - 400 KRW之间

400400 (确认请求参数)

Post code can't be empty

请确认是否输入了returnZipCode值。

400400 (重复输入)

[发货地重复] 该地址已被登录。(重复地址代码: 2026xxxx)

请确认是否输入过相同的returnAddress 值。

400400 (重复输入)

[发货地重复] Duplicated request. 公司名:xxxxx

请确认是否输入过相同的shippingPlaceName值。

400400 (确认请求参数)

运费可为0韩元或1000~20000韩元。

请确认您输入的jeju, notJeju数值范围是否正确 。偏远地区配送费请输入0韩元或1,000~20,000韩元。

400400 (确认请求参数)

The format of postal code is invalid, it can only be number

请为 returnZipCode值输入非数字字符。

400400 (确认请求参数)

params are not allowed null...

请确认是否输入了null 值。

400400 (确认请求参数)

params's vendorId not equals gateway's vendorId!

请确认您输入的 vendorId是否正确。

400400 (确认请求参数)

The max length of the shipping place name is 50, please input the correct length name

请确认shippingPlaceName值是否小于50个字符。

400400 (确认请求参数)

The address detail info can't be null(placeAddress)

请确认是否输入了returnAddress值。

400400 (确认请求参数)

Must input the default phone number(phoneNumber1)

请确认是否输入了phoneNumber1值。

400400 (确认请求参数)

Must input the default address(address1)

请确认是否输入了returnAddress值。

400400 (确认请求参数)

The length of country code is 2, please input correct length country code

请确认您输入的countryCode值是否正确。

400400 (确认请求参数)

The format of phone number is invalid, min length is 11 and max length is 14

400400 (确认请求参数)

include the character '-'

请确认您输入的companyContactNumber值是否符合格式要求。须包含'-',且为11~14个字符。

400400 (确认请求参数)

The format of postal code is invalid, it can only be number, min length is 5 and max length is 6

请确认您输入的returnZipCode值是否正确。请输入5~6个数字。

400400 (确认请求参数)

Please input the correct phone number format including numbers and '-' (min 9, max 13)

请检查companyContactNumber 或者 phoneNumber2 字段值是否输入正确。正确格式为9-13位数字,包括 '-'

500500 (确认请求参数)

shipping-places create error.

请确认输入的物流公司合同代码(contractNumber)数值是否正确。